Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Dependency on Pod::Weaver::Section::Contributors #7

Closed
tomhukins opened this Issue Jul 22, 2014 · 5 comments

Comments

Projects
None yet
3 participants

Hi,

I understand why using this module makes your life much easier as a maintainer, but it has many dependencies:
http://deps.cpantesters.org/?module=Pod::Weaver::Section::Contributors

I wonder if it would be possible to use this at the dzil build stage somehow to avoid everyone who wants to build XSRFBlock from needing to install all those dependencies.

Thank you,
Tom

Thanks Tom for posting the issue.
We tried to use this module for our project, but we were unable to because somewhere in the dependancy chain, something wouldn't install.

Owner

chiselwright commented Jul 22, 2014

I didn't realise that the Contributors plugin had leaked out to the users' dependencies.

I'm not sure exactly how/why this has happened; I'll investigate and see if I can correct my mistake.

Thanks for bringing this to my attention.

@chiselwright chiselwright added the bug label Jul 22, 2014

@chiselwright chiselwright self-assigned this Jul 22, 2014

@chiselwright chiselwright added a commit that referenced this issue Jul 22, 2014

@chiselwright chiselwright v0.0.5
 - stop requiring end-users have Pod::Weaver::Section::Contributors
   This was a mistake with the dist.ini Prereqs on my part
   Raised by tomhukins in issue #7
   Changed BuildRequires -> DevelopRequires
6782052

@chiselwright chiselwright added a commit that referenced this issue Jul 22, 2014

@chiselwright chiselwright v0.0.5
 - stop requiring end-users have Pod::Weaver::Section::Contributors
   This was a mistake with the dist.ini Prereqs on my part
   Raised by tomhukins in issue #7
   Changed BuildRequires -> DevelopRequires
763b541
Owner

chiselwright commented Jul 22, 2014

I've just POSTed Plack-Middleware-XSRFBlock-0.0.5.tar.gz to PAUSE.
I believe this will resolve this issue.

The diff in the released versions can be viewed here

Amazingly fast! Thankyou! Now just to wait for CPAN mirrors to pick it up! =]

Owner

chiselwright commented Aug 25, 2014

No reports of crazy dependencies still being present. Closing.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment